> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Subscription Package

> Get a Customer Subscription Package by ID



## OpenAPI

````yaml /openapi.yaml get /customer-subscription-packages/{packageId}
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /customer-subscription-packages/{packageId}:
    get:
      tags:
        - Customer Subscription Packages API
      summary: Get Customer Subscription Package
      description: Get a Customer Subscription Package by ID
      operationId: get-customer-subscription-package
      parameters:
        - name: packageId
          in: path
          description: ID of the Customer Subscription Package to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Getting the requested Customer Subscription Package
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerSubscriptionPackage'
        '404':
          description: No Customer Subscription Package can be found for the given ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    CustomerSubscriptionPackage:
      type: object
      description: Customer Subscription Package
      properties:
        id:
          type: string
          example: spg_abc12345def678
          description: ID of the subscription package, always starting with `spg_`.
        name:
          type: string
          example: Phone subscription
          description: Name of the subscription package
        description:
          type: string
          nullabe: true
          example: 1GB per month, 300min per month
          description: A description of the package, mainly meant for terms and conditions
        interval:
          type: string
          example: 1 year
          description: >-
            The interval of which the subscription will be extended with. Can be
            `14 days`, `1 month`, `2 months`, `6 months` or `1 year`.
        currency:
          type: string
          example: EUR
          description: Currency of the subscription price amount.
        amount:
          type: string
          example: '12.95'
          description: Amount value as `string`.
        vatRate:
          type: integer
          example: 21
          description: The VAT rate percentage as integer. Can be `0`, `9` or `21`.
        availableForSale:
          type: boolean
          example: true
          description: >-
            Indicates if the package is available for sale in the portal and
            public page, if enabled
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````